scala.RandomAccessSeq
trait Projection

[source: `scala/RandomAccessSeq.scala`]

`` `trait` Projection[+A]
  `extends` Projection[A]`with` RandomAccessSeq[A]

Direct Known Subclasses:
  RandomAccessSeq.Projection.MapProjection, RandomAccessSeq.MutableProjection, Range, ArrayList.Projection0

Method Summary
`override def` | append [B >: A](that : => Iterable[B]) : Projection[B] The projection resulting from the concatenation of this projection with the `rest` projection.
`override def` | force : RandomAccessSeq[A] convert to a copied strict collection
`override def` | map [B](f : (A) => B) : Projection[B] non-strict
`override def` | projection : Projection[A] returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Methods inherited from RandomAccessSeq
elements, drop, take, slice, reverse, ++, toStream, safeIs

Methods inherited from Projection
flatMap, takeWhile, filter

Methods inherited from Seq
length (abstract), lengthCompare, size, isEmpty, concat, last, lastOption, headOption, isDefinedAt, lastIndexOf, dropWhile, contains, subseq, toArray, equalsWith, startsWith, endsWith, indexOf, containsSlice

Methods inherited from Collection
toString, stringPrefix

Methods inherited from Iterable
foreach, forall, exists, find, findIndexOf, indexOf, foldLeft, foldRight, /:, :\, reduceLeft, reduceRight, copyToBuffer, sameElements, toList, mkString, mkString, mkString, addString, addString, copyToArray, hasDefiniteSize

Methods inherited from PartialFunction
orElse, andThen

Methods inherited from Function1
apply (abstract), compose

Methods inherited from AnyRef
getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize, ==, !=, eq, ne, synchronized

Methods inherited from Any
==, !=, isInstanceOf, asInstanceOf

Class Summary
`protected class` | MapProjection [B](f : (A) => B)`extends` MapProjection[B]`with` Projection[B]

Method Details

`override` `def` projection : Projection[A]

  returns a projection that can be used to call non-strict `filter`, `map`, and `flatMap` methods that build projections of the collection.

Overrides
  Projection.projection, RandomAccessSeq.projection

`override` `def` force : RandomAccessSeq[A]

  convert to a copied strict collection

Overrides
  Projection.force

`override` `def` map[B](f : (A) => B) : Projection[B]

  non-strict

Overrides
  Projection.map

`override` `def` append[B >: A](that : => Iterable[B]) : Projection[B]

  The projection resulting from the concatenation of this projection with the `rest` projection.

Parameters
  `rest -` The projection that gets appended to this projection

Overrides
  Projection.append